package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridItemDaily implements Serializable {
    /**
     * ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 事项编码
     *
     * @mbg.generated
     */
    private String sxbm;

    /**
     * 事项名称
     *
     * @mbg.generated
     */
    private String sxmc;

    /**
     * 上级分类
     *
     * @mbg.generated
     */
    private String sjfl;

    /**
     * 处理时限
     *
     * @mbg.generated
     */
    private String clsx;

    /**
     * 分管领导
     *
     * @mbg.generated
     */
    private String fgld;

    /**
     * 主要处置部门
     *
     * @mbg.generated
     */
    private String zyccbm;

    /**
     * 联合处置部门
     *
     * @mbg.generated
     */
    private String lhccbm;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 最后修改时间
     *
     * @mbg.generated
     */
    private String updateTime;

    /**
     * 最后修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 1:有效 0:无效
     *
     * @mbg.generated
     */
    private String isValid;

    private String ylzd1;

    private String ylzd2;

    private String ylzd3;

    private String ylzd4;

    private String ylzd5;

    private String key;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSxbm() {
        return sxbm;
    }

    public void setSxbm(String sxbm) {
        this.sxbm = sxbm;
    }

    public String getSxmc() {
        return sxmc;
    }

    public void setSxmc(String sxmc) {
        this.sxmc = sxmc;
    }

    public String getSjfl() {
        return sjfl;
    }

    public void setSjfl(String sjfl) {
        this.sjfl = sjfl;
    }

    public String getClsx() {
        return clsx;
    }

    public void setClsx(String clsx) {
        this.clsx = clsx;
    }

    public String getFgld() {
        return fgld;
    }

    public void setFgld(String fgld) {
        this.fgld = fgld;
    }

    public String getZyccbm() {
        return zyccbm;
    }

    public void setZyccbm(String zyccbm) {
        this.zyccbm = zyccbm;
    }

    public String getLhccbm() {
        return lhccbm;
    }

    public void setLhccbm(String lhccbm) {
        this.lhccbm = lhccbm;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", sxbm=").append(sxbm);
        sb.append(", sxmc=").append(sxmc);
        sb.append(", sjfl=").append(sjfl);
        sb.append(", clsx=").append(clsx);
        sb.append(", fgld=").append(fgld);
        sb.append(", zyccbm=").append(zyccbm);
        sb.append(", lhccbm=").append(lhccbm);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", isValid=").append(isValid);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridItemDaily other = (GridItemDaily) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getSxbm() == null ? other.getSxbm() == null : this.getSxbm().equals(other.getSxbm()))
            && (this.getSxmc() == null ? other.getSxmc() == null : this.getSxmc().equals(other.getSxmc()))
            && (this.getSjfl() == null ? other.getSjfl() == null : this.getSjfl().equals(other.getSjfl()))
            && (this.getClsx() == null ? other.getClsx() == null : this.getClsx().equals(other.getClsx()))
            && (this.getFgld() == null ? other.getFgld() == null : this.getFgld().equals(other.getFgld()))
            && (this.getZyccbm() == null ? other.getZyccbm() == null : this.getZyccbm().equals(other.getZyccbm()))
            && (this.getLhccbm() == null ? other.getLhccbm() == null : this.getLhccbm().equals(other.getLhccbm()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getSxbm() == null) ? 0 : getSxbm().hashCode());
        result = prime * result + ((getSxmc() == null) ? 0 : getSxmc().hashCode());
        result = prime * result + ((getSjfl() == null) ? 0 : getSjfl().hashCode());
        result = prime * result + ((getClsx() == null) ? 0 : getClsx().hashCode());
        result = prime * result + ((getFgld() == null) ? 0 : getFgld().hashCode());
        result = prime * result + ((getZyccbm() == null) ? 0 : getZyccbm().hashCode());
        result = prime * result + ((getLhccbm() == null) ? 0 : getLhccbm().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        return result;
    }
}